

package com.test;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;

/**
 *
 * @author Deepak
 */
public class IncludedResponseWrapper extends HttpServletResponseWrapper {
	
	private StringWriter stringWriter;
	private StringServletOutputStream stringServletOutputStream;
	
	public IncludedResponseWrapper(HttpServletResponse response, 
		StringWriter stringWriter, StringServletOutputStream stringServletOutputStream) {
		super(response);
		this.stringWriter = stringWriter;
		this.stringServletOutputStream = stringServletOutputStream;
	}
	
    public ServletOutputStream getOutputStream() throws IOException {
        return this.stringServletOutputStream;
    }

    public PrintWriter getWriter() throws IOException {
        return new PrintWriter(this.stringWriter);
    }
}